# Uses of Class
org.osgi.service.remoteserviceadmin.RemoteServiceAdminEvent

Packages that use RemoteServiceAdminEvent
Package
Description
org.eclipse.ecf.osgi.services.remoteserviceadmin
org.osgi.service.remoteserviceadmin
Remote Service Admin Package Version 1.1.

## Uses of RemoteServiceAdminEvent in org.eclipse.ecf.osgi.services.remoteserviceadmin

Subclasses of RemoteServiceAdminEvent in org.eclipse.ecf.osgi.services.remoteserviceadmin
Modifier and Type
Class
Description
`class`
`RemoteServiceAdmin.RemoteServiceAdminEvent`
Methods in org.eclipse.ecf.osgi.services.remoteserviceadmin with parameters of type RemoteServiceAdminEvent
Modifier and Type
Method
Description
`protected void`
TopologyManagerImpl.`handleRemoteAdminEvent(RemoteServiceAdminEvent event)`
`void`
DebugRemoteServiceAdminListener.`remoteAdminEvent(RemoteServiceAdminEvent event)`
`void`
TopologyManager.`remoteAdminEvent(RemoteServiceAdminEvent event)`

## Uses of RemoteServiceAdminEvent in org.osgi.service.remoteserviceadmin

Methods in org.osgi.service.remoteserviceadmin with parameters of type RemoteServiceAdminEvent
Modifier and Type
Method
Description
`void`
RemoteServiceAdminListener.`remoteAdminEvent(RemoteServiceAdminEvent event)`
Receive notification of any export or import registrations and unregistrations as well as errors and warnings.